server.port=9998
server.context-path=/ydapi
#mybatis mapping文件位置配置
mybatis.mapper-locations=classpath:mapper/**/*.xml
######datasource######
###spring boot自动配置单数据源###
spring.datasource.driver-class-name=com.mysql.jdbc.Driver
##  服务端开启SSL，配置证书，客户端连服务端，配置双向验证服务端证书和客户端证书
ssl.cert.path=D\:/ydProjectGit/yd-backend/yd-api/src/main/resources/mysqlSSL
ssl.config=&allowMultiQueries=true&autoReconnect=true&clientCertificateKeyStoreUrl=file:${ssl.cert.path}/keystoreAJB.jks&clientCertificateKeyStorePassword=AJBMysqlSSL@Pass1&trustCertificateKeyStoreUrl=file:${ssl.cert.path}/truststoreAJB.jks&trustCertificateKeyStorePassword=AJBMysqlSSL@Pass1
spring.datasource.url=jdbc:mysql://139.224.139.2:13307/ajb?useUnicode=true&characterEncoding=utf8&useAffectedRows=true&useSSL=true&requireSSL=true&verifyServerCertificate=true${ssl.config}

## 服务端开启SSL，配置证书，客户端连服务端，直接信任证书，不用配置证书
#spring.datasource.url=jdbc:mysql://139.224.139.2:13307/ajb?useUnicode=true&characterEncoding=utf8&useAffectedRows=true&useSSL=true&requireSSL=true&verifyServerCertificate=false
spring.datasource.username=devdbuserSSL
spring.datasource.password=devDB@userSSL2021

#服务端开启SSL之前的配置
#spring.datasource.url=jdbc:mysql://139.224.139.2:13307/ajb?useUnicode=true&characterEncoding=utf8&useSSL=false&useAffectedRows=true
#spring.datasource.username=devdbuser
#spring.datasource.password=devdbpass1

##druid sql监控设置登录访问权限
spring.datasource.druid.stat-view-servlet.login-username=yddruiduser
spring.datasource.druid.stat-view-servlet.login-password=!QSZ2wsx
spring.datasource.druid.stat-view-servlet.enabled=false


###手动配置多数据源###
#master
multiple.datasource.master.driver-class-name=com.mysql.jdbc.Driver
##  服务端开启SSL，配置证书，客户端连服务端，配置双向验证服务端证书和客户端证书
ssl.cert.master.path=D\:/ydProjectGit/yd-backend/yd-api/src/main/resources/mysqlSSL

ssl.master.config=&allowMultiQueries=true&autoReconnect=true&clientCertificateKeyStoreUrl=file:${ssl.cert.master.path}/keystoreAJB.jks&clientCertificateKeyStorePassword=AJBMysqlSSL@Pass1&trustCertificateKeyStoreUrl=file:${ssl.cert.master.path}/truststoreAJB.jks&trustCertificateKeyStorePassword=AJBMysqlSSL@Pass1
multiple.datasource.master.url=jdbc:mysql://139.224.139.2:13307/ajb?useUnicode=true&characterEncoding=utf8&useAffectedRows=true&useSSL=true&requireSSL=true&verifyServerCertificate=true${ssl.master.config}

## 服务端开启SSL，配置证书，客户端连服务端，直接信任证书，不用配置证书
#spring.datasource.url=jdbc:mysql://139.224.139.2:13307/ajb?useUnicode=true&characterEncoding=utf8&useAffectedRows=true&useSSL=true&requireSSL=true&verifyServerCertificate=false
multiple.datasource.master.username=devdbuserSSL
multiple.datasource.master.password=devDB@userSSL2021

#服务端开启SSL之前的配置
#multiple.datasource.master.url=jdbc:mysql://139.224.139.2:13307/ajb?useUnicode=true&characterEncoding=utf8&useSSL=false&useAffectedRows=true
#multiple.datasource.master.username=devdbuser
#multiple.datasource.master.password=devdbpass1

#egolden
#multiple.datasource.egolden.driver-class-name=com.mysql.jdbc.Driver
#multiple.datasource.egolden.url=jdbc:MySql://139.224.138.103:13308/stage_ydinsurance?characterEncoding=UTF-8&useSSL=false&useAffectedRows=true
#multiple.datasource.egolden.username=insurance_stage
#multiple.datasource.egolden.password=fWTauSswR2!$

#egolden
multiple.datasource.egolden.driver-class-name=com.mysql.jdbc.Driver
multiple.datasource.egolden.url=jdbc:MySql://139.224.94.140:13307/ydinsurance?characterEncoding=UTF-8&useSSL=false&useAffectedRows=true
multiple.datasource.egolden.username=stageuser
multiple.datasource.egolden.password=AG@#$mstage234

#pagehelper分页插件配置
pagehelper.helperDialect=mysql
pagehelper.reasonable=true
pagehelper.supportMethodsArguments=true
pagehelper.params=count=countSql

mybatis.type-handlers-package=com.yd.util.deshandler
# mybatis.check-config-location=检查配置文件是否存在

# 设置执行模式（SIMPLE, REUSE, BATCH），默认为SIMPLE
mybatis.executor-type=SIMPLE 
# JWT 单位秒钟
jwt.header:X-Authorization
jwt.seal:zhb123!@#
jwt.expiration:86400
jwt.issuer:zuihuibi
jwt.bypass:TEST

#jwt.bypass:/api/user/login,

#存量数据接口开关
enable.datasecurity:false

#存量数据接口开关
prod.checkavailable:

pdf.template=/opt/tomcat8/conf/ydpdf/pdfres/templatePractitionerContract.pdf
pdf.signImage=/opt/tomcat8/conf/ydpdf/pdfres/上海银盾保险经纪有限公司.png
pdf.keyStorePath=/opt/tomcat8/conf/ydpdf/pdfres/4929078_m.zuihuibi.cn.pfx
pdf.keyPasswordFile=/opt/tomcat8/conf/ydpdf/pdfres/pfx-password.txt
pdf.position.x=450
pdf.position.y=150

pdf.check=/opt/tomcat8/conf/ydpdf/pdfres/check.png
pdf.uncheck=/opt/tomcat8/conf/ydpdf/pdfres/uncheck.png
